<?php
##############################################################################
## JROX.COM Affiliate Manager - config.php file								##
## Version 1.6.2															##
##																			##
## Author: 			Ryan Roxas(ryan@jrox.com)								##
## Homepage:	 	http://jam.jrox.com										##
## Bug Reports: 	http://jam.jrox.com/bugzilla/							##
## Release Notes:	docs/READ_ME.txt										##
##############################################################################

##############################################################################
## COPYRIGHT NOTICE                                                      	##
## Copyright 2006 JROX Technologies, Inc.  All Rights Reserved.         	##
##																			##		
## This script may be only used and modified in accordance to the license	##
## agreement attached (license.txt) except where expressly noted within		##
## commented areas of the code body. This copyright notice and the			##
## comments above and below must remain intact at all times.  By using this	##
## code you agree to indemnify JROX Technologies, Inc, its corporate agents	##
## and affiliates from any liability that might arise from its use.			##
##																			##
## Selling the code for this program without prior written consent is		##
## expressly forbidden and in violation of Domestic and International		##
## copyright laws.															##
##############################################################################

if (!defined('JROX'))
	die('Error');

##########################################################################################
## THIS FILE IS THE MAIN CONFIGURATION FILE FOR YOUR JAM INSTALLATION.  PLEASE  EDIT	##
## THE FOLLOWING SETTINGS TO CONNECT TO YOUR MYSQL DATABASE AND TO YOUR HOME DIRECTORY	##
##########################################################################################

//ENTER THE NAME OF THE DATABASE SERVER YOU ARE CONNECTING TO. NORMALLY SET TO "localhost"
define("JAM_DATABASE_SERVER", "localhost");

//ENTER THE NAME OF YOUR DATABASE
define("JAM_DATABASE_NAME", "your_database");

//ENTER THE USERNAME THAT CONNECTS TO YOUR DATABASE
define("JAM_DATABASE_USERNAME", "database_user");

//ENTER THE PASSWORD FOR YOUR DATABASE USER
define("JAM_DATABASE_PASSWORD", "database_password");

//ENTER THE PASSWORD FOR YOUR SCHEDULED CRON JOB
define("JAM_CRON_JOB_PASSWORD", "cron_password");

//ENTER THE DOMAIN NAME OF YOUR WEBSITE
//EXAMPLE WOULD BE: jrox.com
//DO NOT INCLUDE ANY TRAILING SLASH OR HTTP://
//DO NOT INCLUDE THE SUBDOMAIN, SUCH AS www.
define("JAM_DOMAIN_NAME", "yourdomain.com");

//ENTER THE SUBDOMAIN FOR YOUR SITE
//EXAMPLE WOULD BE www
define("JAM_SUBDOMAIN_NAME", "www");

//THIS IS THE ENTIRE DOMAIN NAME FOR SETTING COOKIES.
//DO NOT INCLUDE ANY SUBDOMAIN, SUCH AS "www".
//AN EXAMPLE WOULD BE: jrox.com
define("COOKIE_DOMAIN", "yourdomain.com");

//ENTER THE ABSOLUTE PATH TO YOUR AFFILIATES DIRECTORY
//AN EXAMPLE WOULD BE: /home/username/public_html/affiliates
//DO NOT INCLUDE A TRAILING SLASH
define("HOME_BASE_DIRECTORY", "/home/username/public_html/affiliates");

//ENTER THE NAME OF YOUR AFFILIATE PROGRAM DIRECTORY
//DO NOT INCLUDE A TRAILING SLASH
define("HOME_BASE_AFFILIATE_DIRECTORY", "/affiliates");

//CONFIGURE NUMBER FORMATTING
//DEFINE HOW YOU WILL BE DISPLAYING YOUR COMMISSION VALUES
define("DECIMAL_SEPARATOR", ".");
define("THOUSANDS_SEPARATOR", ",");
define("DECIMAL_PLACES", 2);

##########################
## URL AND SSL SETTINGS ##
##########################

//SPECIFY WHETHER TO USE HTTP:// OR HTTPS:// FOR AFFILIATE LINKS
define("HTTP_TRANSPORT", "http://");

//SPECIFY WHETHER TO USE SSL FOR ADMIN AREA
define("USE_SSL_ADMIN_AREA", false); //SET TO "true" TO USE SSL

//SET TO true TO USE  A SHARED SSL CERTIFICATE FOR THE ADMIN AREA
define("USE_SHARED_CERT_ADMIN", false);

//SPECIFY WHETHER TO USE SSL FOR MEMBERS AREA
define("USE_SSL_MEMBERS_AREA", false); //SET TO "true" TO USE SSL

//SPECIFY THE URL FOR YOUR SHARED SSL CERTIFICATE
//DO NOT INCLUDE A TRAILING SLASH
define("JAM_SHARED_SSL_URL", "srv.domain.com/~affiliates");

###################################
## CURRENCY AND COUNTRY SETTINGS ##
###################################

//ENTER THE 3-DIGIT COUNTRY CODE YOU WANT TO USE FOR PAYMENTS.
//USED PRIMARILY FOR PAYPAL-BASED PAYMENTS
define("PAYPAL_CURRENCY_CODE", "USD");

//CURRENCY CODE FOR MONEYBOOKERS MASS PAYMENT FILE
define("MONEYBOOKERS_CURRENCY_CODE", "USD");

//SET THE DEFAULT COUNTRY TO CHOOSE FROM  IF YOU WANT TO CHANGE THIS YOU NEED TO LOOK AT THE COUNTRY LIST FUNCTION
//HERE ARE SOME COMMON VALUES: Canada, United Kingdom, France, Germany, China, Japan
define("JAM_DEFAULT_COUNTRY", "United States");

###################################################################################
## THE FOLLOWING IS ONLY NEEDED IF YOU NEED TO MAKE CHANGES TO THE DEBUGGING AND ##
## ADVANCED SETTINGS FOR YOUR INSTALLATION                                       ##
###################################################################################

##############################
## EMAIL SERVER INFORMATION ##
##############################

//ENTER "php" or "smtp"
define("MAILER_SEND_TYPE", "php"); 

//THIS NUMBER REPRESENTS THE TOTAL NUMBER OF EMAILS THAT WILL BE SENT VIA THE SCHEDULED JOB AT REGULAR INTERVALS 
//IF YOU WANT TO SEND ALL EMAILS AT ONCE, ENTER 0 (ZERO);
define("EMAILS_PER_BATCH", "1000");

//THE EMAIL SERVER YOU WILL BE USING TO SEND EMAILS.  TYPICALLY SET TO "localhost" 
define("SMTP_HOST", "localhost"); 

//THIS ENABLES/DISABLES THE NEED FOR SMTP AUTHENTICATION. SET TO "true" IF YOU REQUIRE AUTHENTICATION
define("SMTP_AUTHENTICATION", false); 

//THE USERNAME NEEDED TO USE TO SEND EMAILS. ONLY NECESSARY WHEN USING sendmail AS THE "MAILER_SEND_TYPE"
define("SMTP_USERNAME", "smtp_username"); 

//THE PASSWORD NEEDED TO SEND EMAILS. ONLY NECESSARY WHEN USING sendmail AS THE "MAILER_SEND_TYPE"
define("SMTP_PASSWORD", "smtp_password"); 

//SMTP PORT NUMBER IF NEEDED
define("SMTP_PORT", "25"); 

//IF YOU WANT TO SEND ALL MASS EMAILS IMMEDIATELY INSTEAD OF WAITING FOR THE CRON JOB TO RUN, SET THIS TO true
define("JAM_SEND_MASS_EMAILS_IMMEDIATELY", false);

####################
## MYSQL SETTINGS ##
####################

//SET THIS OPTION TO true IF YOU WANT TO USE PERSISTENT CONNECTIONS
define("ENABLE_PERSISTENT_MYSQL_CONNECTIONS", false);

###########################
## EMAIL REPORT SETTINGS ##
###########################

//THIS ENABLES/DISABLES THE DAILY ADMIN STATISTICS REPORTS SENT VIA EMAIL TO THE PRIMARY ADMIN
define("EMAIL_DAILY_ADMIN_REPORTS", true); 

//TIME THAT THE DAILY REPORTS AND RECURRING COMMISSIONS WILL BE PROCESSED
//MUST BE IN 24-HOUR FORMAT AND MUST COINCIDE WITH CRON JOB TIME
define("EMAIL_DAILY_ADMIN_REPORTS_TIME", "01:30"); 

//YOU CAN SET THIS TO html or text FOR THE ADMIN EMAIL FORMAT
define("JAM_EMAIL_DAILY_ADMIN_HTML_TEXT", "html");

//SET WHEN AFFILIATE MONTHLY REPORTS WILL GO OUT
//CHANGE TO daily or weekly or monthly
define("JAM_SEND_AFFILIATE_REPORTS", "monthly");

//MYSQL ERROR AND DEBUGGING INFORMATION
//ONLY SET TO "true" IF YOU ARE HAVING ERRORS IN YOUR INSTALLATION
define("DEBUG_ADVANCED_ERROR", false); 

//ONLY SET TO "true" IF YOU WANT THE DEBUGGING INFO EMAILED TO YOU. BE CAREFUL WITH THIS ONE, IT MAY FLOOD YOU WITH EMAILS
define("DEBUG_EMAIL", false); 

//EMAIL ADDRESS TO SEND DEBUGGING INFORMATION TO
define("DEBUG_EMAIL_TO", "you@yourdomain.com"); 

//EMAIL ADDRESS THAT DEBUGGING INFORMATION IS SENT FROM
define("DEBUG_EMAIL_FROM", "error@@yourdomain.com"); 

//SET THIS TO true IF YOU WANT TO ENABLE READ RECEIPTS ON MASS EMAILS
define("JAM_ENABLE_READ_RECEIPTS_MASS_MAIL", false);

//IF YOU HAVE THE JAM_ENABLE_READ_RECEIPTS OPTION SET TO true, ENTER AN EMAIL ADDRESS TO SEND READ RECEIPTS TO HERE
define("JAM_READ_RECEIPTS_EMAIL_SEND_TO", "you@yourdomain.com");

#######################
## HELP URL SETTINGS ##
#######################

//URL TO LAUNCH THE ADMIN HELP GUIDE
define("ADMIN_HELP_URL", "http://jam.jrox.com/userguide/admin/"); 

//URL TO LAUNCH THE MEMBER HELP GUIDE
define("MEMBER_HELP_URL", "http://jam.jrox.com/userguide/member/"); 

#############################################################
## ENABLE / DISABLE AUTO BACKUPS - SET TO "true" TO ENABLE ##
#############################################################

//SET TO "true" IF YOU WANT TO ENABLE AUTOMATIC BACKUPS
define("DB_AUTOMATIC_BACKUPS", false); 

//IF YOU WANT TO ENABLE AUTOMATIC BACKUPS, TYPE IN THE PHYSICAL FOLDER LOCATION HERE
define("DB_BACKUP_LOCATION", "/home/username/backup"); 

//ENTER THE BACKUP SCHEDULE YOU WANT. POSSIBLE VALUES ARE: daily, weekly, monthly
define("DB_BACKUP_SCHEDULE", "weekly"); 

//DAY OF THE WEEK TO DO WEEKLY BACKUPS ON.  
// POSSIBLE VALUES ARE Sun, Mon, Tue, Wed, Thu, Fri, Sat, Sun. ONLY VALID FOR WEEKLY-BASED BACKUPS
define("DB_BACKUP_DAY_WEEKLY", "Sun"); 

//ENTER THE DAY OF THE MONTH YOU WANT TO DO MONTHLY BACKUPS ON. ONLY VALID FOR MONTHLY-BASED BACKUPS
define("DB_BACKUP_DAY_MONTHLY", "1"); 

###########################################
## ENABLE / DISABLE REPLICATED WEB SITES ##
###########################################

//MAKE SURE TO SET THE PROPER PERMISSIONS FOR THE FOLDER THAT YOU WILL BE REPLICATING PAGES TO
define("JAM_ENABLE_REPLICATED_SITES", false);

//ENTER THE EXTENSION YOU WANT TO USE FOR REPLICATED WEB PAGES
//EXAMPLES ARE html, htm, php
define("JAM_REPLICATION_EXTENSION", "html"); 

//SET THIS TO true IF YOU WANT TO USE DYNAMIC VARIABLES IN YOUR REPLICATED WEB PAGES
//YOU WILL NEED TO USE php AS YOUR JAM_REPLICATION_EXTENSION AS WELL
define("JAM_USE_DYNAMIC_VARIABLES_REPLICATION", false);

//ENTER THE ENTIRE PHYSICAL PATH OF THE WEB PAGE YOU WANT REPLICATED
define("JAM_REPLICATION_TEMPLATE", "/home/username/public_html/affiliates/plugins/misc/replicated.html"); 

//ENTER THE ENTIRE PHYSICAL PATH TO THE REPLICATION DIRECTORY. NO TRAILING SLASH
define("JAM_REPLICATION_DIRECTORY", "/home/username/public_html/affiliates/pages"); 

#################################
## MEMBERSHIP RENEWAL SETTINGS ##
#################################

//SET TO true TO SEND OUT MEMBERSHIP RENEWAL REMINDERS
define("JAM_ENABLE_MEMBERSHIP_RENEWAL_NOTICE", false);

//THIS IS USED FOR SENDING OUT RENEWAL EMAILS A FEW DAYS PRIOR TO EXPIRATION
define("JAM_MEMBERSHIP_EXPIRATION_INTERVAL", "2");

//SHOW THE MEMBERSHIP UPGRADE PAGE IF AN AFFILIATE MEMBERSHIP IS EXPIRED UPON LOGIN
//SET TO false TO DISABLE
define("JAM_SHOW_UPGRADE_PAGE_ON_EXPIRED_LOGIN", true);

#######################
## USERNAME SETTINGS ##
#######################

//USERNAME REQUIREMENTS
//TOTAL MINIMUM CHARACTERS IS 3
define("JAM_MINIMUM_USERNAME_CHARACTERS", "6");

//TOTAL MAXIMUM CHARACTERS IS 30
define("JAM_MAXIMUM_USERNAME_CHARACTERS", "12");

##################################
## SIGNUP FORM SESSION SETTINGS ##
##################################

//IF YOU WANT TO ENABLE SESSION HANDLING DURING THE SIGNUP PROCESS SET THIS TO true
define("JAM_ENABLE_SESSIONS_ON_SIGNUP", false);

#########################
## PAGINATION SETTINGS ##
#########################

define("JAM_DEFAULT_MAX_RESULTS", "25");
define("JAM_MEMBER_PROGRAM_LIST", "5");
define("JAM_MEMBER_MARKETING_TOOLS_LIST", "5");

#########################################
## CPM PAY-PER-LEAD AND CLICK SETTINGS ##
#########################################

//SET TO false TO REMOVE ANY CHECKING FOR BANNER IMPRESSIONS. 
//ALL IMPRESSIONS WILL BE TRACKED REGARDLESS OF IP ADDRESS OR USER
define("JAM_CPM_UNIQUE", true);

//THIS IS THE INTERVAL IN HOURS BEFORE AN AFFILIATE GETS CREDIT FOR AN IMPRESSION FROM THE SAME IP ADDRESS
define("JAM_CPM_HOURS_APART", "24"); 

//SET THIS TO false IF YOU WANT TO DISABLE BANNER AD IMPRESSIONS
define("JAM_ENABLE_BANNER_AD_IMPRESSIONS", true);

//SET THIS TO false IF YOU WANT TO DISABLE TEXT AD IMPRESSIONS
define("JAM_ENABLE_TEXT_AD_IMPRESSIONS", true);

//SET THIS TO false IF YOU WANT TO DISABLE HOVER_AD IMPRESSIONS
define("JAM_ENABLE_HOVER_AD_IMPRESSIONS", true);

//SET THIS TO false IF YOU WANT TO DISABLE ARTICLE_AD IMPRESSIONS
define("JAM_ENABLE_ARTICLE_AD_IMPRESSIONS", true);

//SET THIS TO true TO ENABLE DELETION OF OLD IMPRESSIONS IN THE IMPRESSIONS TABLE
//ONLY PAID IMPRESSIONS WILL BE DELETED
define("JAM_ENABLE_DELETE_PAID_IMPRESSIONS", true);

//INTERVAL IN DAYS TO WAIT BEFORE PAID IMPRESSIONS ARE DELETED
define("JAM_DELETE_PAID_IMPRESSIONS_INTERVAL", "365");

//SET TO true TO USE PERCENTAGE COMMISSIONS FOR CLICKS
define("JAM_USE_PERCENTAGE_COMMS_CLICKS", false);

//THIS IS USED TO APPEND TO THE TRANSACTION ID FOR CPM COMMISSIONS
define("JAM_CPM_TRANS_ID", date('m-d-Y'));

//THIS IS USED TO APPEND TO THE TRANSACTION ID FOR PAY-PER-LEAD COMMISSIONS
define("JAM_LEAD_TRANS_ID", $_SERVER['REMOTE_ADDR']);

//THIS IS USED TO APPEND TO THE TRANSACTION ID FOR PAY-PER-CLICK COMMISSIONS
define("JAM_PPC_TRANS_ID", $_SERVER['REMOTE_ADDR']);

##########################
## PAGE REFRESH SETTING ##
##########################

//THIS IS THE NUMBER OF SECONDS A SUCCCESS PAGE WILL WAIT BEFORE REDIRECTING THE USER
define("JAM_SUCCESS_REFRESH_TIMER", "3"); 

############################
## CUSTOM MARKETING TOOLS ##
############################

//SET THIS TO true TO INCLUDE ANY CUSTOM MARKETING TOOLS THAT ARE IN THE plugins/tools FOLDER
define("JAM_ENABLE_CUSTOM_MARKETING_TOOLS", false);

##########################
## CUSTOM CONTENT PAGES ##
##########################

//SET THIS TO true TO SHOW ALL PAGES ON CONTENT DROPDOWN FOR UPGRADING
define("JAM_ENABLE_UPGRADE_CONTENT_PAGES", false);

//SET THIS TO true TO ADD ANY CUSTOM CONTENT PAGES TO THE CONTENT DROP DOWN MENU
define("JAM_ENABLE_CUSTOM_CONTENT_PAGES", false);

//IF YOU ENABLE THE JAM_ENABLE_CUSTOM_CONTENT_PAGES OPTION, ENTER THE PHYSICAL LOCATION HERE
define("JAM_CUSTOM_CONTENT_FOLDER", "/home/username/public_html/affiliates/members/pages");

//ENTER THE FULL URL PATH TO YOUR CUSTOM CONTENT PAGES FOR REDIRECTION
define("JAM_CUSTOM_CONTENT_URL", "http://www.yourdomain.com/affiliates/members/pages");

//PAGE EXTENSIONS TO STRIP OFF FROM FILE NAME, SEPARATED BY COMMAS AND ENCLOSED IN FORWARD SLASHES
define("JAM_CUSTOM_CONTENT_PAGE_EXTENSIONS", "/.html/,/.htm/,/.php/");

##########################
## FLASH GRAPH SETTINGS ##
##########################

//YOU CAN CHANGE THIS SETTTING TO 1, 2, 3. A SETTING OF 1 MORPHS THE FLASH GRAPH FROM 2D TO 3D, 2 STARTS IT AS A 2D, 3 SHOWS IT AS A 3D GRAPH
define("JAM_FLASH_3D_SETTING", "1");

//IF YOU DON'T WANT THE COLUMNS FOR THE FLASH GRAPHS TO BE ANIMATED, SET THIS TO 0 (ZERO)
define("JAM_ANIMATE_COLUMNS", "1");

############################
## PROGRAM IMAGE SETTINGS ##
############################

//SET THIS TO true TO USE FULL IMAGE PATHS FOR BANNER IMAGES INSTEAD OF DYNAMIC IMAGES
define("JAM_BANNER_FULL_IMAGE_PATHS", false);

//SET TO false IF YOU WANT TO STORE PROGRAM IMAGES IN A FOLDER INSTEAD OF THE DATABASE
define("JAM_PROGRAM_IMAGE_DB", true);

#######################
## SECURITY SETTINGS ##
#######################

//TIMER SETUP FOR ADMIN LOCKOUT
define("JAM_ADMIN_LOCKOUT_TIMER", "1"); //SET FOR 1 HOUR
define("JAM_ADMIN_LOCKOUT_TIMES", "5"); //MAX NUMBER OF FAILED LOGINS TO CHECK

//TIMER SETUP FOR ONE TIME OFFER PAGE
define("JAM_OTO_TIMER", "90"); //SET FOR 90 DAYS

#######################
## SALE.PHP SETTINGS ##
#######################

//IF YOU WANT MEMBERS TO GET COMMISSIONS ONLY WHEN THEY REFER THE PROGRAMS THEY ARE MEMBERS FOR, SET THIS TO true
define("JAM_MATCH_MEMBER_PROGRAM_ID", false);

#######################
## JROX.PHP SETTINGS ##
#######################

//IF YOU WANT TO USE A DIFFERENT FILE NAME FOR THE AFFILIATE LINK, YOU CAN EDIT IT HERE
//NOTE: YOU MUST EDIT IT IN YOUR .htaccess FILES AS WELL
define("JAM_AFFILIATE_LINK_FILE", "jrox");

################################################
## JAM AFFILIATES DIRECTORY PUBLISHING OPTION ##
################################################

//NOT YET IN USE DO NOT CHANGE
define("JAM_ENABLE_DIRECTORY_PUBLISHING", false);


##########################################
## DO NOT EDIT ANYTHING BELOW THIS LINE ##
##########################################

define("JAM_MEMORY_LIMIT", "20M");
define("JAM_SET_TIME_LIMIT", "60");

@set_magic_quotes_runtime(0);
?>