<?php
#####################################################################################
## JROX.COM Affiliate Manager - currencies.php file
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

#######################################################################################
## This file is used for currency conversion
#######################################################################################

if (!defined('JROX'))
	die('Error');

/*
=====================================================================================
If you want to add a new conversion for your currency, just add a new line in the 
$currency_array, similar to the lines below.

The first part is the 3 digit ISO code for your currency, and the second part is the 
array that has the currency symbol and the calculation that will be used with the sale 
amount.  Please use the following for  calculation:

+ for addition
- for subtraction
* for multiplication
/ for division
=====================================================================================
*/

//This array is used to convert your current payments to an equivalent amount for your currency

$currency_array = array (
	 
	 //Argentine Peso
	'ARS' => array( 
		'symbol' => '$',
		'rate'   => '* 0.32377'),
	 
	 //Australian Dollar
	'AUD' => array( 
		'symbol' => '$',
		'rate'   => '* 0.85707'),
	 
	  //Brazilian Real
	'BRL' => array( 
		'symbol' => 'R$',
		'rate'   => '* 0.52470'),
	 
	 //Canadian Dollar
	'CAD' => array( 
		'symbol' => '$',
		'rate'   => '* 0.94447'),
	
	//Danish Krone
	'DKK' => array( 
		'symbol' => 'kr',
		'rate'   => '* 0.18296'),
	 
	 //Euro
	'EUR' => array( 
		'symbol' => '&euro;',
		'rate'   => '* 1.36165'),
	
	 //British Pound
	'GBP' => array( 
		'symbol' => '&pound;',
		'rate'   => '* 2.01734'),
	
	//Japanese Yen	
	'JPY' => array( 
		'symbol' => '&yen;',
		'rate'   => '* 0.008165'),
		
	//Mexican Peso
	'MXN' => array( 
		'symbol' => '$',
		'rate'   => '* 0.09289'),
	
	//New Zealand Dollar	
	'NZD' => array( 
		'symbol' => '$',
		'rate'   => '* 0.78206'),
	
	//Philippine Peso
	'PHP' => array( 
		'symbol' => 'PH',
		'rate'   => '* 0.02179'),
	
	//US Dollar
	'USD' => array(
		'symbol' => '$',
		'rate'   => '* 1.00'),		
	
);
?>