<?php
#####################################################################################
## JROX.COM Affiliate Manager - paypal.php file
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

##########################################################
## This file is used to process Paypal-based Commissions
##########################################################

error_reporting(0);

####################################
## ENABLE AUTOMATIC REFUND MODULE ##
####################################

//-----------------------------------------------------//
// ENABLE SECRET VARIABLE FOR AUTOMATIC REFUND MODULE  //
//-----------------------------------------------------//
// If you want to enable the Automatic Refund Module,  //
// just uncomment and change the secret variable below //
//-----------------------------------------------------//

$secret = "secretword";

#############################################################
## ASSIGN PAYPAL VARIABLES TO LOCAL VARIABLES
#############################################################

if (!empty($_POST['txn_id']))
{	
	$txn_id = $_POST['txn_id'];
	
	if (!empty($_POST['item_name']))
	{
		$item_name = $_POST['item_name'];
	}
	if (!empty($_POST['item_number']))
	{
		$item_number = $_POST['item_number'];
	}
	if (!empty($_POST['payment_status']))
	{
		$payment_status = $_POST['payment_status'];
	}
	if (!empty($_POST['mc_gross']))
	{
		$paypal_amount = $_POST['mc_gross'];
	}
	if (!empty($_POST['mc_currency']))
	{	
		$payment_currency = $_POST['mc_currency'];
	}
	if (!empty($_POST['receiver_email']))
	{	
		$receiver_email = $_POST['receiver_email'];
	}
	if (!empty($_POST['payer_email']))
	{	
		$payer_email = $_POST['payer_email'];
	}	
	
	if (!empty($_POST['custom']))
	{
		$custom_mid = $_POST['custom']; 
	}
	
	if (!empty($_POST['txn_type']))
	{
		if ($_POST['txn_type'] == 'subscr_payment')
		{
			$jam_subscription = true;
		}
	}
	
	if (!empty($_GET['jxpsub']))
	{
		$jam_subscription = true;
	}
	
	$req = 'cmd=_notify-validate';
	
	if (!empty($_POST))
	{
		foreach ($_POST as $key => $value) 
		{
			$value = urlencode(stripslashes($value));
			$req .= "&$key=$value";
		}
	}
	#################################################
	## POST VARIABLES BACK TO PAYPAL FOR VALIDATION
	#################################################
	$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
	$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
	$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";
	$fp = fsockopen ('www.paypal.com', 80, $errno, $errstr, 30);
	
	if (!$fp) 
	{
		require_once '../../../includes/common.php';
		Db_Connect();
		Log_Events(COMMISSION, "3", PAYPAL_IPN_FAILURE.", ".ITEM_NAME.": ".$item_name.", ".TRANSACTION_ID.": ".$txn_id.", ".PAYPAL_EMAIL.": ".$payer_email.", ".ROW_AMOUNT.": ".$amount.", ".TIME.": ".CURRENT_TIME.", ".IP_ADDRESS.": ".$_SERVER['REMOTE_ADDR']."");
		exit();
	} 
	else 
	{
		fputs ($fp, $header . $req);
		while (!feof($fp)) 
		{
			$res = fgets ($fp, 1024);
			if (strcmp ($res, "VERIFIED") == 0) 
			{
				
				############################
				## PROCESS THE COMMISSION
				############################
			
				if (!empty($_POST['payment_status']) AND $_POST['payment_status'] == 'Refunded')
				{
					$transaction_id = $_POST['parent_txn_id'];
					require "../../../refund.php";
				} 
				else
				{	
					if (!empty($_POST['payment_status']) AND $_POST['payment_status'] == 'Completed')
					{
						require "../../../sale.php";
						
						//BLOCK FOR JAM-ASM MODULE INTEGRATION
						//$JAM_Aff_Directory = '/home/username/public_html/affiliates_directory';
						//$JAM_ASM_Type = 'paypal';
						//require $JAM_Aff_Directory . '/plugins/signup_automation/external/plugin.autosignup.php';
						//END JAM-ASM MODULE INTEGRATION
					}
				}
				
			}
			else if (strcmp ($res, "INVALID") == 0) 
			{
				########################################
				## LOG TO DATABASE FOR FURTHER CHECKING
				########################################
				
				require_once '../../../includes/common.php';
				Db_Connect();
				
				Log_Events(COMMISSION, "3", PAYPAL_IPN_FAILURE.", ".ITEM_NAME.": ".$item_name.", ".TRANSACTION_ID.": ".$txn_id.", ".PAYPAL_EMAIL.": ".$payer_email.", ".ROW_AMOUNT.": ".$amount.", ".TIME.": ".CURRENT_TIME.", ".IP_ADDRESS.": ".$_SERVER['REMOTE_ADDR']."");
			}
		}
		
		fclose ($fp);
	}
	
	//header("Location: $url_after_sale");

}
else
{	
	##################
	## REDIRECT URL ##
	##################
	
	require '../../../includes/common.php';
	
	if (!empty($_COOKIE['jrox']))
	{
	
		//GET COOKIE VARIABLES
		$cookie = explode('###', urldecode($_COOKIE['jrox']));
		if (count($cookie) > 0)
		{
			$mid = $cookie[0];
			$cookie_pid = $cookie[1];
			
			if (!empty($cookie[2]))
			{
				$tool = $cookie[2];
			}
			
			if (!empty($cookie[3]))
			{
				$tool_id = $cookie[3];
			}
			
			if (!empty($cookie[5]))
			{	
				$tracker = $cookie[4];
				$referrer = $cookie[5];
			}
			elseif (!empty($sess1[4]))
			{
				$referrer = $sess1[4];
			}
		}
	}
	
	#############################################################################################
	## CHECK IF THERE IS A PRODUCT ID MANUALLY SET FIRST, ELSE USE THE COOKIE PRODUCT VARIABLE ##
	#############################################################################################
	
	if (!empty($product_id))
	{
		$pid = $product_id;
	}
	elseif (!empty($cookie_pid))
	{
		if (is_numeric($cookie_pid))
		{
			$pid = $cookie_pid;
		}
		else
		{
			$pid = 1;
		}
	}
	else
	{
		$pid = 1;
	}
	
	###########################
	## GET PRODUCT ID VALUES ##
	###########################
	
	Db_Connect();
	
	$pquery = @mysql_query("SELECT url_after_sale FROM jx_products WHERE pid = '$pid'");
	if ($pquery)
	{
		$url_after_sale = mysql_result($pquery,0);
	}
	
	
	header("Location: $url_after_sale");
}

?>

