<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

function Check_CC_Data($array)
{
	global $checkpost, $show_errors;
	
	$show_errors = '';	
	
	Clean_Post_Data();
	
	//CHECK FIRST NAME
	if (Check_String_Length($checkpost['F_First_Name'], 1, 50) == true)
	{
		$show_errors .= "* First Name must be between 2 and 50 characters\n";
	}
	
	//CHECK LAST NAME
	if (Check_String_Length($checkpost['F_Last_Name'], 1, 50) == true)
	{
		$show_errors .= "* Last Name must be between 2 and 50 characters\n";
	}
	
	//CHECK ADDRESS 1
	if (Check_String_Length($checkpost['F_Address_1'], 5, 200) == true)
	{
		$show_errors .= "* Address 1 must be between 5 and 200 characters\n";
	}
	
	//CHECK CITY
	if (Check_String_Length($checkpost['F_City'], 2, 100) == true)
	{
		$show_errors .= "* City must be between 2 and 100 characters\n";
	}
	
	//CHECK STATE
	if (Check_String_Length($checkpost['F_State'], 1, 50) == true)
	{
		$show_errors .= "* State must be between 1 and 50 characters\n";
	}
	
	//CHECK COUNTRY
	if (Check_String_Length($checkpost['country'], 2, 100) == true)
	{
		$show_errors .= "* Country must be between 2 and 100 characters\n";
	}
	
	if (empty($checkpost['card_number']))
	{
		$show_errors .= "* The credit card number is invalid\n";
	}
		
	if (strlen($checkpost['card_name']) < 2)
	{
		$show_errors .= "* Card Holder Name must be at least 2 characters\n";
	}
	
	if (!is_numeric($checkpost['exp_month']))
	{
		die("invalid cc month");
	}
	
	if (!is_numeric($checkpost['exp_year']))
	{
		die("invalid cc year");
	}
		
	if (strlen($show_errors) > 0)
	{
		return false;
	}
	
	return true;
}

function Process_Credit_Card_Payment($checkpost)
{
	global $total_amount, $response_code, $response_text, $show_errors, $mid, $authnet_array, $mProgram;
	
	$show_errors = '';
	
	##########################
	## GET PROCESSOR CONFIG ##
	##########################
	
	$bquery = mysql_query("SELECT * FROM jx_processor_config WHERE name = 'Authorize_Net'") or die(cmysql_error(__LINE__, __FILE__));
	if ($bquery)
	{
		if (mysql_num_rows($bquery) > 0)
		{
			$module = mysql_fetch_assoc($bquery);
		}
	}
	
	###################################
	## GET PROGRAM PRICE AND OPTIONS ##
	###################################
	
	$cquery = mysql_query("SELECT product_name, membership_full_amount FROM jx_products WHERE pid = '".$checkpost['pid']."'") or die(cmysql_error(__LINE__, __FILE__));
	if (mysql_num_rows($cquery) > 0)
	{
		$prow = mysql_fetch_row($cquery);
		$product_name = $prow[0];
		$membership_full_amount = $prow[1];
	}
		
	//test amount
	//$total_amount = "2.00";
	
	$auth_net_login_id			= Decrypt_Text($module['config_1']);
	$auth_net_tran_key			= Decrypt_Text($module['config_2']);
	# $auth_net_url				= "https://test.authorize.net/gateway/transact.dll";
	#  Uncomment the line ABOVE for test accounts or BELOW for live merchant accounts
	$auth_net_url				= "https://secure.authorize.net/gateway/transact.dll";
	
	$authnet_values				= array
	(
		"x_login"				=> $auth_net_login_id,
		"x_version"				=> "3.1",
		"x_delim_char"			=> "|",
		"x_delim_data"			=> "TRUE",
		"x_type"				=> $module['config_3'],
		"x_method"				=> "CC",
		"x_tran_key"			=> $auth_net_tran_key,
		"x_relay_response"		=> "FALSE",
		"x_card_num"			=> $checkpost['card_number'],
		"x_exp_date"			=> $checkpost['exp_month'].$checkpost['exp_year'],
		"x_invoice_num"			=> $checkpost['vcode'],
		"x_description"			=> $product_name,
		"x_amount"				=> $membership_full_amount,
		"x_first_name"			=> $checkpost['F_First_Name'],
		"x_last_name"			=> $checkpost['F_Last_Name'],
		//"x_company"				=> $company,
		"x_address"				=> $checkpost['F_Address_1'],
		"x_city"				=> $checkpost['F_City'],
		"x_state"				=> $checkpost['F_State'],
		"x_zip"					=> $checkpost['F_Zip'],
		"x_country"				=> $checkpost['country'],
		//"x_phone"				=> $phone,
		//"x_cust_id"				=> $mid,
		"x_email"				=> $checkpost['F_Primary_Email'],
		"x_email_customer"		=> false,
		"x_customer_ip"			=> $_SERVER['REMOTE_ADDR'],
	);
	
	if ($module['config_4'] == 1)
	{
		$authnet_values["x_test_request"] = true;
	}
	
	$fields = "";
	foreach( $authnet_values as $key => $value ) $fields .= "$key=" . urlencode( $value ) . "&";
	
	
	### $ch = curl_init("https://test.authorize.net/gateway/transact.dll"); 
	###  Uncomment the line ABOVE for test accounts or BELOW for live merchant accounts
	 $ch = curl_init("https://secure.authorize.net/gateway/transact.dll"); 
	curl_setopt($ch, CURLOPT_HEADER, 0); // set to 0 to eliminate header info from response
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // Returns response data instead of TRUE(1)
	curl_setopt($ch, CURLOPT_POSTFIELDS, rtrim( $fields, "& " )); // use HTTP POST to send form data
	### curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE); // uncomment this line if you get no gateway response. ###
	$resp = curl_exec($ch); //execute post and get results
	curl_close ($ch);
	
	$authnet_array = explode('|', $resp);
	//print_r($array);

	if ($authnet_array[0] == 1)
	{
		return true;
	}
	else
	{
		$response_code = $authnet_array[0];
		$response_text = $authnet_array[3];
		
		$show_errors .= "* $response_text";
		
		return false;
	}
}

function Show_Authorize_Net_Form()
{
	global $pid, $member_theme, $mProgram, $F_First_Name, $F_Last_Name, $F_Address_1, $F_Address_2, $F_City, $F_State, $country,
		   $F_Zip, $F_Phone, $F_Primary_Email, $card_name, $card_number, $exp_month, $exp_year, $pid, $vcode;
	
	Heading();
	
	$currency = Check_System_Currency();
	
	if (file_exists(HOME_BASE_DIRECTORY."/includes/html/templates/custom/header".$pid.".php"))
	{
		include HOME_BASE_DIRECTORY."/includes/html/templates/custom/header".$pid.".php";
	}
	else
	{
		require HOME_BASE_DIRECTORY."/includes/html/themes/$member_theme/header.php";
	}
	
	//Set Up empty variables
	if (empty($exp_month)) $exp_month = date('m');
	if (empty($exp_year)) $exp_year = date('Y');

?>
<div style="margin: 4em; border: 2px dashed #CCCCCC; padding-bottom: 4em; padding:4em;">



<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post" name="form1" id="form1" style="display:inline;">
 
  <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border: 1px solid #999999; padding: 2px;">
                
                <tr>
                  <td>
<table width="100%" border="0" cellspacing="1" cellpadding="5">
                
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td colspan="2"><strong class="header_2">Billing Information</strong></td>
            </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td width="36%"><strong class="pad_left_2">First Name * </strong></td>
                  <td width="64%"><input name="F_First_Name" type="text" id="F_First_Name" value="<?php echo $F_First_Name ?>" maxlength="50" /></td>
            </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">Last Name * </strong></td>
                  <td><input name="F_Last_Name" type="text" id="F_Last_Name" value="<?php echo $F_Last_Name ?>" maxlength="50" /></td>
                </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">Address 1 * </strong></td>
                  <td><input name="F_Address_1" type="text" id="F_Address_1" value="<?php echo $F_Address_1 ?>" size="40" maxlength="100"  /></td>
            </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">Address 2</strong></td>
                  <td><input name="F_Address_2" type="text" id="F_Address_2" value="<?php echo $F_Address_2 ?>" size="40" maxlength="100"/></td>
            </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">City * </strong></td>
                  <td><input name="F_City" type="text" id="F_City" value="<?php echo $F_City ?>" maxlength="50" /></td>
                </tr>
                
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">State / Province* </strong></td>
                  <td><input name="F_State" type="text" id="F_State" value="<?php echo $F_State ?>" maxlength="50" /></td>
                </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">Country * </strong></td>
                  <td><?php Country_Menu_Members($country); ?></td>
                </tr>
                <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                  <td><strong class="pad_left_2">Zip Code * </strong></td>
                  <td><input name="F_Zip" type="text" id="F_Zip" value="<?php echo $F_Zip ?>" maxlength="50" /></td>
                </tr>
              </table></td>
  </tr><tr><td>&nbsp;</td></tr>
  <tr>
    <td>
			   <table width="100%" border="0" align="center" cellpadding="5" cellspacing="1" class="table8">
              
             <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                <td colspan="4" ><strong class="header_2">Credit Card Information</strong></td>
              </tr>
              
             <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
               <td ><strong class="pad_left_2">Payment Amount</strong> </td>
               <td colspan="3" ><?php echo $currency.number_format($mProgram['membership_full_amount'], DECIMAL_PLACES, DECIMAL_SEPARATOR, THOUSANDS_SEPARATOR); ?> </td>
             </tr>
             <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                <td width="37%" ><strong class="pad_left_2">Cardholder Name * </strong></td>
                <td width="63%" colspan="3" ><input name="card_name" type="text" id="card_name" value="<?php echo $card_name ?>" size="40" maxlength="100" /></td> 
              </tr>
              <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                <td ><strong class="pad_left_2">CC Number * </strong></td>
                <td width="63%" colspan="3" ><input name="card_number" type="text" id="card_number" value="<?php echo $card_number ?>" size="40" maxlength="50" /></td>
              </tr>
              
              
              <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                <td ><strong class="pad_left_2">Expiration Date * </strong></td>
                <td colspan="3" ><select name="exp_month" id="exp_month">
                  <?php
				  for ($i = 1; $i <=12; $i++)
				  {
				  	if ($i < 10)
					{
						$i = "0".$i;
					}
					
					if ($exp_month == $i)
					{
						echo "<option value='$i' selected>$i</option>";
					}
					else
					{
						
						echo "<option value='$i'>$i</option>";
                  	}
				  }
				?>
				</select>
                 / 
                 <select name="exp_year" id="exp_year">
				 <?php
				  for ($i = 2007; $i <=2020; $i++)
				  {
					
					if ($exp_year == $i)
					{
						echo "<option value='$i' selected>$i</option>";
					}
					else
					{
						
						echo "<option value='$i'>$i</option>";
                  	}
				  }
				?>
                 </select>                 </td>
              </tr>
              

              <tr bgcolor="<?php echo TABLE_ROW_COLOR_2 ?>">
                <td colspan="4" align="center" ><input name="Submit" type="submit" value="Click To Pay via Credit Card" class="select_small_1"/>
                <input name="action" type="hidden" id="action" value="process" />
				<input type='hidden'  name='vcode' value='<?php echo $vcode ?>'>
				<input type='hidden'  name='pid' value='<?php echo $pid ?>'>
				<input type='hidden'  name='F_Primary_Email' value='<?php echo $F_Primary_Email ?>'>
				</td>
                </tr>
            </table>
		</td></tr></table>
</form>

</div>

<?php
	if (file_exists(HOME_BASE_DIRECTORY."/includes/html/templates/custom/footer".$pid.".php"))
	{
		include HOME_BASE_DIRECTORY."/includes/html/templates/custom/footer".$pid.".php";
	}
	else
	{
		require HOME_BASE_DIRECTORY."/includes/html/themes/$member_theme/footer.php";
	}
	
	Footer();
}
?>