<?php

#####################################################################################
## JROX.COM Affiliate Manager - plugin.autosignup.php file
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################
	
error_reporting(0);

###############################################
## This file is used to process auto-signups ##
###############################################

require "../../../includes/common.php";
require_once '../../../includes/setlang.php';
require "../../../includes/mod/mod_members.php";

//check secret word
if (!empty($_POST['F_Secret']))
{
	if (Check_Auto_Signup_Enable($_POST['F_Secret']) == false)
	{
		exit();
	}
}
else
{
	exit();
}

//check email
if (empty($_POST['F_Primary_Email']))
{
	exit();
}
elseif (Check_Auto_Signup_Email(strtolower($_POST['F_Primary_Email'])) == false)
{
	exit();
}
else
{
	$JAM_Primary_Email = strtolower($_POST['F_Primary_Email']);
}

//check first name
if (empty($_POST['F_First_Name']))
{
	exit();
}
else
{
	$JAM_First_Name = ucfirst(strtolower($_POST['F_First_Name']));
}

//check last name
if (empty($_POST['F_Last_Name']))
{
	exit();
}
else
{
	$JAM_Last_Name = ucfirst(strtolower($_POST['F_Last_Name']));
}

//check username
if (!empty($_POST['F_User_Name']))
{
	$string = strtolower($_POST['F_User_Name']);
	$string2 = preg_replace("/([^a-z0-9]+)/", "", $string);
	
	if (strlen($string2) >= JAM_MAXIMUM_USERNAME_CHARACTERS)
	{
		$JAM_Username = substr($string2, 0, JAM_MAXIMUM_USERNAME_CHARACTERS);
	}
	else
	{
		$JAM_Username = $string2;
	}
}
else
{
	$string = strtolower($_POST['F_Primary_Email']);
	$string2 = preg_replace("/([^a-z0-9]+)/", "", $string);
	$string3 = substr($string2, 0, JAM_MINIMUM_USERNAME_CHARACTERS);
	$num = rand(100, 9999);
	$JAM_Username = $string3 . $num;
}

//check for proper stringlength for username
while (strlen($JAM_Username) <= JAM_MINIMUM_USERNAME_CHARACTERS)
{
	$num = rand(1,9);
	$JAM_Username = $JAM_Username.$num;
}

//check unique username
while (Check_Username($JAM_Username) == false)
{
	$num = rand(100, 9999);
	$JAM_Username = $string3 . $num;
}

//check password
if (!empty($_POST['F_Password']))
{
	$string = $_POST['F_Password'];
	$string2 = preg_replace("/([^A-Za-z0-9]+)/", "", $string);
	if (Check_String_Length($string2, 6, 12 == true))
	{
		$JAM_Password = Random_Password();	
	}
	else
	{
		$JAM_Password = $string2;
	}
}
else
{
	//generate password
	$JAM_Password = Random_Password();
}

//check company
if (!empty($_POST['F_Company_Name']))
{
	$JAM_Company = $_POST['F_Company_Name'];
}
else
{
	$JAM_Company = '';
}

//check address
if (!empty($_POST['F_Address_1']))
{
	$JAM_Address_1 = $_POST['F_Address_1'];
}
else
{
	$JAM_Address_1 = '';
}

//check city
if (!empty($_POST['F_City']))
{
	$JAM_City = $_POST['F_City'];
}
else
{
	$JAM_City = '';
}

//check state
if (!empty($_POST['F_State']))
{
	$JAM_State = $_POST['F_State'];
}
else
{
	$JAM_State = '';
}
		
//check country
if (!empty($_POST['F_Country']))
{
	$JAM_Country = $_POST['F_Country'];
	if (!empty($_POST['F_ISO_Country']))
	{
		if ($_POST['F_ISO_Country'] == 1)
		{
			$JAM_Country = Get_Country_ISO($JAM_Country);
		}
	}
}
else
{
	$JAM_Country = '';
}

//check zip
if (!empty($_POST['F_Zip']))
{
	$JAM_Zip = $_POST['F_Zip'];
}
else
{
	$JAM_Zip = '';
}

//check phone
if (!empty($_POST['F_Phone']))
{
	$JAM_Phone = $_POST['F_Phone'];
	$JAM_Phone = preg_replace("/([^0-9]+)/", "", $JAM_Phone);
}
else
{
	$JAM_Phone = '';
}

//check website
if (!empty($_POST['F_Website']))
{
	$JAM_Website = $_POST['F_Website'];
}
else
{
	$JAM_Website = '';
}

//check sponsor
if (!empty($_POST['F_Sponsor_ID']))
{
	$F_Sponsor = explode('###', urldecode($_POST['F_Sponsor_ID']));
	$csponsor = $F_Sponsor[0];
	
	if (!empty($F_Sponsor[2]) AND is_numeric($F_Sponsor[2]))
	{
		$pid = $F_Sponsor[2];
	}
}
else
{
	$pid = 1;
}

//check pid
if (!empty($_POST['F_Pid']) AND is_numeric($_POST['F_Pid']))
{
	$pid = $_POST['F_Pid'];
}

if (!empty($license_alert))
{
	exit();
}

//check ip
if (!empty($_POST['F_Signup_IP']))
{
	$JAM_Signup_IP = $_POST['F_Signup_IP'];
}
else
{
	$JAM_Signup_IP = $_SERVER['REMOTE_ADDR'];
}

//create affiliate data array
$checkpost = array 
(
	'F_User_Name'		=> 		$JAM_Username,
	'F_Password'		=>		$JAM_Password,	
	'F_Primary_Email'	=>		$JAM_Primary_Email,
	'F_First_Name'		=>		$JAM_First_Name,
	'F_Last_Name'		=>		$JAM_Last_Name,
	'F_User_Name'		=>		$JAM_Username,
	'F_Company_Name'	=>		$JAM_Company,
	'F_Address_1'		=>		$JAM_Address_1,
	'F_City'			=>		$JAM_City,
	'F_State'			=> 		$JAM_State,
	'country'			=> 		$JAM_Country,
	'F_Zip'				=>		$JAM_Zip,
	'F_Phone'			=>		$JAM_Phone,
	'F_Website'			=>		$JAM_Website,
	'F_Sponsor_ID'		=> 		$JAM_Sponsor_ID,
	'signup_ip'			=>		$JAM_Signup_IP,
	'program_group'		=>		$pid,
);


//add affiliate to JAM database
if (Add_New_Affiliate($checkpost) == true)
{
	//LOG SUCCESS EVENTS
	Log_Events(AFFILIATE, "1", AUTOMATIC_SIGNUP_MODULE." ".NEW_AFFILIATE_SIGNUP." - ".$JAM_First_Name." ".$JAM_Last_Name.", ".TIME.": ".CURRENT_TIME.", ".IP_ADDRESS.": ".$JAM_Signup_IP);
}
else
{
	//LOG ERROR EVENTS
	Log_Events(SYSTEM, "3", AUTOMATIC_SIGNUP_MODULE." ".COULD_NOT_ADD_AFFILIATE." - ".$JAM_First_Name." ".$JAM_Last_Name.", ".TIME.": ".CURRENT_TIME.", ".IP_ADDRESS.": ".$JAM_Signup_IP);
}

?>